Bug 836375 - nspluginwrapper/SELinux
nspluginwrapper/SELinux
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: SELinux
: 836384 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 17:11 EDT by Robert S.
Modified: 2013-04-18 09:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-18 09:08:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert S. 2012-06-28 17:11:24 EDT
Description of problem:

npviewer.bin does not appear to have permission to have setattr access on the at-spi2 directory.

Version-Release number of selected component (if applicable):

Firefox 12.0

How reproducible:

Should be very reproducible.


Steps to Reproduce:

Will try to assist:

1. Event triggered after Firefox crashed.

2. So we restarted the system and Firefox loyally asked what tabs to pursue reclaiming.

3. We pick the tabs to reclaim. And this error message was not in reference to explicit tab (another bug!), so we have no clue what it meant. We have a document up with Google Docs and one up by way of a Java applet. Any other page, including Gmail, ought to stand on its own as a typical HTML page.
  
Actual results:


Expected results:

Determine if setting the attributes of the file in question is a security risk and then proceed to find out whether Firefox should be messing with at-spi2 file. Either the answer would be should - shouldn't - or let the user decide. But I don't have enough information to make that decision, although the SELinux Alert specified how to allow the access.

So SELinux recommends reporting this as a bug. So that's what I think needs to be improved on Firefox.

Additional info:


Not knowing what npviewer.bin were supposed to do, we can't exactly devise a way to reproduce this unless we take steps to lock up Firefox again. Really, all you need to do to lock up Firefox is to access Google Images and let them load while a lot of tabs remain open. Then the tabs pretty much want to ignore any command to close them (another bug!)
Comment 1 Martin Stransky 2012-07-31 09:53:25 EDT
Please remove the nspluginwrapper package, you don't need it unless you use adobe reader plugin.
Comment 2 Martin Stransky 2012-07-31 09:57:08 EDT
*** Bug 836384 has been marked as a duplicate of this bug. ***
Comment 3 Martin Stransky 2012-09-12 07:25:30 EDT
Anyway, what plugin is run by npviewer.bin?

Note You need to log in before you can comment on or make changes to this bug.